/v1/workspaces/{workspace_id}/contact-properties/{property_id}AuthGet a contact property
Path parameters
workspace_id*string · uuidId of the workspace.
property_id*string · uuidId of the property.
Response · 200
id*string · uuidThe property id.
key*stringThe key used in contact `properties` and as `{{key}}` in templates.
Example: "company"
type*objectThe value type: `string` or `number`.
fallback_value*objectValue used for a contact that has no value for this property; null for none.
created_at*string · date-timeWhen the property was created.
updated_at*string · date-timeWhen the property was last changed.
Example
Request
GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/contact-properties/{property_id}
Authorization: Bearer YOUR_TOKENimport { Mail } from "@productcraft/mail";
// Reads PRODUCTCRAFT_API_KEY from the environment
const mail = new Mail();
const contactProperty = await mail.contacts.properties.retrieve("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f");mail.contacts.properties.retrieve(propertyId, options?): Mail.ContactProperty
Response
{
"id": "00000000-0000-0000-0000-000000000000",
"key": "company",
"type": {},
"fallback_value": {},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}